## ros-melodic-rosmon 2.3.2

=== CMakeLists.txt ===

cmake_minimum_required(VERSION 2.8)
project(rosmon)

find_package(catkin)

catkin_package()

catkin_install_python(
	PROGRAMS src/rosmon
	DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
)

=== debian/changelog ===
ros-melodic-rosmon (2.3.2-1bionic) bionic; urgency=high



 -- Max Schwarz <max.schwarz@uni-bonn.de>  Thu, 28 May 2020 22:00:00 -0000

ros-melodic-rosmon (2.3.1-1bionic) bionic; urgency=high



 -- Max Schwarz <max.schwarz@uni-bonn.de>  Wed, 27 May 2020 22:00:00 -0000

ros-melodic-rosmon (2.3.0-1bionic) bionic; urgency=high

  * Fix Issue "Can not handle arguments with spaces" (PR #110)
  * Contributors: Kazuhiro Hiratsuka, Max Schwarz

 -- Max Schwarz <max.schwarz@uni-bonn.de>  Wed, 27 May 2020 22:00:00 -0000

ros-melodic-rosmon (2.2.1-1bionic) bionic; urgency=high



 -- Max Schwarz <max.schwarz@uni-bonn.de>  Thu, 07 Nov 2019 23:00:00 -0000

ros-melodic-rosmon (2.2.0-1bionic) bionic; urgency=high



 -- Max Schwarz <max.schwarz@uni-bonn.de>  Mon, 28 Oct 2019 23:00:00 -0000

ros-melodic-rosmon (2.1.1-1bionic) bionic; urgency=high



 -- Max Schwarz <max.schwarz@uni-bonn.de>  Mon, 08 Jul 2019 22:00:00 -0000

ros-melodic-rosmon (2.1.0-1bionic) bionic; urgency=high



 -- Max Schwarz <max.schwarz@uni-bonn.de>  Mon, 24 Jun 2019 22:00:00 -0000

ros-melodic-rosmon (2.0.2-1bionic) bionic; urgency=high



 -- Max Schwarz <max.schwarz@uni-bonn.de>  Mon, 11 Mar 2019 23:00:00 -0000

ros-melodic-rosmon (2.0.1-1bionic) bionic; urgency=high



 -- Max Schwarz <max.schwarz@uni-bonn.de>  Mon, 11 Mar 2019 23:00:00 -0000

ros-melodic-rosmon (2.0.0-1bionic) bionic; urgency=high

  * split into separate packages for core, GUI, messages, PR #72
  * Contributors: Max Schwarz

 -- Max Schwarz <max.schwarz@uni-bonn.de>  Sun, 10 Mar 2019 23:00:00 -0000

ros-melodic-rosmon (1.0.10-1bionic) bionic; urgency=high



 -- Max Schwarz <max.schwarz@uni-bonn.de>  Sun, 28 Oct 2018 23:00:00 -0000

ros-melodic-rosmon (1.0.9-1bionic) bionic; urgency=high



 -- Max Schwarz <max.schwarz@uni-bonn.de>  Wed, 19 Sep 2018 22:00:00 -0000

ros-melodic-rosmon (1.0.8-1bionic) bionic; urgency=high



 -- Max Schwarz <max.schwarz@uni-bonn.de>  Mon, 06 Aug 2018 22:00:00 -0000

ros-melodic-rosmon (1.0.7-1bionic) bionic; urgency=high



 -- Max Schwarz <max.schwarz@uni-bonn.de>  Sat, 26 May 2018 22:00:00 -0000

ros-melodic-rosmon (1.0.6-1bionic) bionic; urgency=high



 -- Max Schwarz <max.schwarz@uni-bonn.de>  Fri, 25 May 2018 22:00:00 -0000

ros-melodic-rosmon (1.0.5-1bionic) bionic; urgency=high



 -- Max Schwarz <max.schwarz@uni-bonn.de>  Thu, 24 May 2018 22:00:00 -0000

ros-melodic-rosmon (1.0.4-1bionic) bionic; urgency=high



 -- Max Schwarz <max.schwarz@uni-bonn.de>  Wed, 23 May 2018 22:00:00 -0000

ros-melodic-rosmon (1.0.3-1bionic) bionic; urgency=high



 -- Max Schwarz <max.schwarz@uni-bonn.de>  Fri, 04 May 2018 22:00:00 -0000

ros-melodic-rosmon (1.0.2-1bionic) bionic; urgency=high



 -- Max Schwarz <max.schwarz@uni-bonn.de>  Mon, 23 Apr 2018 22:00:00 -0000

ros-melodic-rosmon (1.0.1-1bionic) bionic; urgency=high



 -- Max Schwarz <max.schwarz@uni-bonn.de>  Fri, 13 Apr 2018 16:55:00 -0000

ros-melodic-rosmon (1.0.0-1bionic) bionic; urgency=high



 -- Max Schwarz <max.schwarz@uni-bonn.de>  Fri, 13 Apr 2018 10:15:00 -0000

=== debian/control ===
Source: ros-melodic-rosmon
Section: misc
Priority: optional
Maintainer: Max Schwarz <max.schwarz@uni-bonn.de>
Build-Depends: debhelper (>= 9.0.0), ros-melodic-catkin, ros-melodic-rosmon-core, ros-melodic-rqt-rosmon
Homepage: 
Standards-Version: 3.9.2

Package: ros-melodic-rosmon
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-melodic-rosmon-core, ros-melodic-rqt-rosmon
Description: Node launcher and monitor for ROS.
 rosmon is a replacement for the roslaunch tool, focused on performance, remote monitoring, and usability.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/melodic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/melodic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/melodic"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-melodic-rosmon//opt/ros/melodic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_install
